ApSIC Xbench 3.0 - Installers - Change Log

ApSIC Xbench 3.0 (32-bit Edition) - Build 1367 (Unicode)

Download

ApSIC Xbench 3.0 (64-bit Edition) - Build 1367 (Unicode)

Download

ApSIC Xbench Plugin for SDL Trados Studio 2014/2015 - Build 12
(Requires Trados Studio 2014 SP1 or later and ApSIC Xbench 3.0)

Download

ApSIC Xbench Connector for Memsource:
Now bundled in Xbench 3.0 main installer (build 1363 and later)

 

ApSIC Xbench Chrome Extension for Matecat, Memsource and Transifex
(Requires Chrome and ApSIC Xbench 3.0 build 1350 or later)

Add to Chrome

One Tab Chrome Extension for Matecat
(Requires Read Browsing History. Source code available on GitHub)

Add to Chrome

ApSIC Xbench 2.9 - Installer

ApSIC Xbench 2.9 - Build 474 (Non-Unicode, Freeware)

Download

System Requirements

  • Xbench 3.0: Microsoft Windows 2003, 2008, 2012, XP, Vista, 7, 8, 8.1, or 10
  • Xbench 2.9: Microsoft Windows 2003, 2008, XP, Vista, or 7
  • 13MB available on disk plus 0.5MB for each spell-checking dictionary installed
  • Recommended 2GB of RAM
  • Microsoft Word 2000, 2003, 2007, 2010, 2013, or 2016 if support for Word uncleaned files is needed
  • SDLX, if support for .itd files is needed